<script>
export default {
  name: "HdwBox",
  props: {
    title: {
      type: String,
      default: '标题'
    }
  },
  data() {
    return {};
  },
  methods: {

  },
  mounted() {

  }
}
</script>

<template>
  <div class="hdw-box-wrapper">
    <div class="hdw-box-header">
      <div class="header-title">{{ title }}</div>
      <div class="header-tools">
        <slot name="tools"></slot>
      </div>
    </div>
    <div class="hdw-box-main">
      <div class="content-relative">
        <div class="content-absolute">
          <slot></slot>
        </div>
      </div>
    </div>
  </div>
</template>

<style scoped lang="scss">
.hdw-box-wrapper {
  display: flex;
  flex-direction: column;
  height: 100%;
  border: 1px solid var(--base-color90);
  border-radius: 8px;
  background-color: var(--bg-color);
  .hdw-box-header {
    position: relative;
    padding: 8px;
    border-bottom: 1px solid var(--base-color90);
    .header-title {
      font-weight: 700;
    }
    .header-tools {
      position: absolute;
      top: 4px;
      right: 8px;
    }
  }
  .hdw-box-main {
    flex: 1;
  }
}
.content-relative {
  position: relative;
  height: 100%;
  .content-absolute {
    position: absolute;
    width: 100%;
    height: 100%;
    top: 0;
    left: 0;
    right: 0;
    bottom: 0;
  }
}
</style>
